#pragma once

#include <ConstGlobals.h>
#include <SFML/Graphics.hpp>
#include <Scenes.h>
#include <utility.h>

#include <tuple>


using SceneContainer = std::tuple
<
	Play_s
>;

class GameEngine 
{
public:
	void changeScene(Scene* scene_in)
	{
		m_previousScene = m_currentScene;
		m_currentScene = scene_in;
	}

	Scene* getCurrentScene()
	{
		return m_currentScene;
	}

private:
	sf::RenderWindow m_window;
	SceneContainer m_scenes;
	Scene* m_currentScene;
	Scene* m_previousScene;
	bool m_running;

};